Cancel Prescription Transfer By Id
curl --request POST \
--url https://api.develophealth.ai/prior-authorization/{id}/prescription-transfer/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.develophealth.ai/prior-authorization/{id}/prescription-transfer/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.develophealth.ai/prior-authorization/{id}/prescription-transfer/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"detail": "Cannot cancel prescription transfer due to completed status"
}{
"status": "error",
"error": {
"title": "API Access Not Enabled",
"description": "Programmatic API access is not enabled for this organization.",
"code": "api_access_not_enabled"
}
}{
"detail": "Prior Authorization Request does not exist."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": "error",
"error": {
"title": "Rate Limit Exceeded",
"description": "The request exceeds the organization's configured API rate limit. Retry after the duration specified by Retry-After.",
"code": "rate_limit_exceeded"
}
}{
"status": "error",
"error": {
"title": "Service Unavailable",
"description": "The service is temporarily unavailable. Retry the request shortly.",
"code": "service_unavailable"
}
}Prior Authorization
Cancel Prior Authorization Prescription Transfer
Cancel the prescription transfer for a prior authorization with NDP submission.
POST
/
prior-authorization
/
{id}
/
prescription-transfer
/
cancel
Cancel Prescription Transfer By Id
Overview
Cancel an in-progress prescription transfer associated with a prior authorization request. Once canceled, no further processing of the transfer request will occur, including any attempts to confirm receipt of transferred prescriptions.Prescription transfer states
For PAs with an NDP submission,data.prescription_transfer can be populated in
the retrieve PA response. This is
a separate workflow from the PA’s data.status.
data.prescription_transfer.status | Meaning |
|---|---|
in_progress | Transfer attempts are in progress. |
awaiting_provider_response | The transfer needs information or action from the provider. |
completed | Transfer processing completed. Check confirmed. |
cancelled | The transfer was canceled. |
error | The transfer failed. Inspect error_code. |
Transfer error codes
data.prescription_transfer.error_code | Meaning |
|---|---|
pharmacy_does_not_exist | The specified pharmacy does not exist in the available records. |
pharmacy_permanently_closed | The pharmacy is permanently closed. |
pharmacy_unable_to_accept_transfer | The pharmacy cannot accept the transfer. |
pharmacy_unable_to_fill_prescription | The pharmacy cannot fill the prescription because of restrictions or stock. |
prescription_transfer_not_received | The destination pharmacy did not receive the transfer after the available attempts. |
transfer_timed_out | The transfer did not complete within the allowed time. |
other | An unclassified transfer error occurred. |
confirmation_attempts[] item has an outcome of success or failed.
confirmed: true means the transfer completed and confirmation succeeded.
API errors
| HTTP status | Meaning |
|---|---|
400 | The prescription transfer is already completed. |
404 | The PA does not exist or is not visible to the authenticated organization. |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successfully cancelled prescription transfer
Represents the response structure for a POST /prior-authorization/:id/prescription-transfer/cancel request.
This response is returned when a prior authorization is successfully cancelled.